Bug 470876 (CVE-2008-5015) - CVE-2008-5015 Mozilla file: URIs inherit chrome privileges
Summary: CVE-2008-5015 Mozilla file: URIs inherit chrome privileges
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-5015
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-10 18:20 UTC by Josh Bressers
Modified: 2019-09-29 12:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-25 16:46:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0978 normal SHIPPED_LIVE Critical: firefox security update 2008-11-13 02:23:59 UTC

Description Josh Bressers 2008-11-10 18:20:39 UTC
Security researcher, Luke Bryan, reported that file: URIs are given chrome
privileges when opened in the same tab as a chrome page or privileged
about: page. This vulnerability could be used by an attacker to run
arbitrary JavaScript with chrome privileges. The severity of this issue was
determined to be moderate as it requires an attacker to have malicious code
saved locally, then have a user open a chrome: document or privileged
about: URI, and then open the malicious file in the same privileged tab.

Comment 2 Josh Bressers 2008-11-13 01:36:57 UTC
This is now public:
http://www.mozilla.org/security/announce/2008/mfsa2008-51.html

Comment 3 Fedora Update System 2008-11-14 12:50:41 UTC
xulrunner-1.9.0.4-1.fc9, firefox-3.0.4-1.fc9, epiphany-extensions-2.22.1-5.fc9, epiphany-2.22.2-5.fc9, cairo-dock-1.6.3.1-1.fc9.1, chmsee-1.0.1-6.fc9, devhelp-0.19.1-6.fc9, evolution-rss-0.1.0-4.fc9, galeon-2.0.7-3.fc9, gnome-python2-extras-2.19.1-21.fc9, gnome-web-photo-0.3-15.fc9, google-gadgets-0.10.1-5.fc9.1, gtkmozembedmm-1.4.2.cvs20060817-22.fc9, kazehakase-0.5.6-1.fc9.1, Miro-1.2.7-2.fc9, mozvoikko-0.9.5-4.fc9, mugshot-1.2.2-3.fc9, ruby-gnome2-0.17.0-3.fc9, totem-2.23.2-8.fc9, yelp-2.22.1-6.fc9, seamonkey-1.1.13-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Vincent Danen 2010-12-25 16:46:58 UTC
This was addressed via:

Red Hat Enterprise Linux version 4 (firefox) RHSA-2008:0978
Red Hat Enterprise Linux version 5 (firefox) RHSA-2008:0978


Note You need to log in before you can comment on or make changes to this bug.